@keyframes pulse-ring {
  0% {
    transform: scale(0.33);
  }
  80%,
  100% {
    opacity: 0;
  }
}

// ============================================================================
// News Bar on top of the page (closable Foundation Callout)
// ============================================================================

.block--highlight-news {
  z-index: 101;
  position: relative;
  &__close {
    position: absolute;
    z-index: 1;
    top: var(--bs-spacer-2);
    right: var(--bs-spacer-2);
  }
  &__icon {
    position: relative;
    &::after {
      content: "";
      position: absolute;
      z-index: -1;
      top: 50%;
      left: 50%;
      background-color: var(--bs-primary);
      border-radius: 50%;
      width: 200%;
      height: 200%;
      margin-left: -100%;
      margin-top: -100%;
      animation: pulse-ring 2.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
    }
  }
  > .view {
    .views-more-link {
      // link the whole banner
      &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
      }
    }
  }
}

// ============================================================================
// Floating, animated News Badge
// ============================================================================

// TODO: Cleanup add some utility classes instead custom styles
.news-badge {
  --regular-color: var(--body-background);
  --regular-color-text: var(--bs-primary);
  --highlight-color: var(--bs-primary);
  --highlight-color-text: var(--white);
  position: relative;
  z-index: 999;
  user-select: none;
  * {
    user-select: none;
  }
  &__link {
    &:hover {
      .news-badge__icon {
        transform: scale(1.1);
        background-color: var(--highlight-color);
        color: var(--highlight-color-text);
      }
    }
  }
  &__icon {
    position: relative;
    background-color: var(--regular-color);
    color: var(--regular-color-text);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    transition-duration: 150ms;
    transition-property: transform, background-color;
  }
  &__title {
    max-width: 0;
    opacity: 0;
    position: absolute;
    left: calc(100% + 10px);
    top: 50%;
    transform: translateY(-50%);
    overflow: hidden;
    padding: 6px 0;
    background-color: white;
    border-radius: 3px;
    font-size: var(--global-font-size-medium);
    line-height: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    transition-duration: 250ms;
    transition-property: max-width, opacity, box-shadow, background-color,
      padding;
    a {
      &:hover {
        color: var(--highlight-color);
      }
    }
  }
  &__confirm-read {
    position: absolute;
    right: 0.5em;
    top: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--primary-color);
    transition-duration: 80ms;
    transition-timing-function: linear;
    transition-property: transform, color;
    cursor: pointer;
    &:hover {
      transform: scale(1.1);
      color: var(--success-color);
    }
    &:active {
      transform: scale(1);
    }
  }
  &--hidden {
    display: none !important;
  }
  &--show {
    .news-badge__icon {
      &::after {
        content: "";
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        background-color: var(--highlight-color);
        border-radius: 50%;
        width: 200%;
        height: 200%;
        margin-left: -100%;
        margin-top: -100%;
        animation: pulse-ring 2.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
      }
    }
  }
  &--show-title {
    .news-badge__icon {
      background-color: var(--highlight-color);
      color: var(--highlight-color-text);
    }
    .news-badge__title {
      opacity: 1;
      max-width: calc(100vw - 2rem - 52px);
      box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
      padding: 6px 2em 6px 10px;
    }
  }
}
